Your submission was sent successfully! Close

CVE-2017-13141

Published: 23 August 2017

In ImageMagick before 6.9.9-4 and 7.x before 7.0.6-4, a crafted file could trigger a memory leak in ReadOnePNGImage in coders/png.c.

Priority

Low

CVSS 3 base score: 6.5

Status

Package Release Status
imagemagick
Launchpad, Ubuntu, Debian
Upstream
Released (8:6.9.7.4+dfsg-15)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(8:6.9.7.4+dfsg-16ubuntu2)
Ubuntu 16.04 ESM (Xenial Xerus) Ignored

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was ignored)
Patches:
Upstream: https://github.com/ImageMagick/ImageMagick/commit/19b03f36c4807bc2b8a3a51718ce026fc700eb54

Notes

AuthorNote
mdeslaur
0121-coders-png.c-Memory-leak-Fixed-Issue-600.patch in unstable
0095-coders-png.c-Memory-leak-Fixed-Issue-600.patch in stretch
not fixing memory leak in trusty and xenial

References

Bugs